cURL
curl --request GET \
--url https://api.axiom.co/v2/orgs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.axiom.co/v2/orgs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.axiom.co/v2/orgs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"lastUsageSync": "<string>",
"license": {
"apiRateLimitPerSecond": 123,
"billingPeriodEnd": "2023-11-07T05:31:56Z",
"billingPeriodStart": "2023-11-07T05:31:56Z",
"defaultRegion": "<string>",
"features": {},
"id": "<string>",
"issuedAt": "2023-11-07T05:31:56Z",
"issuedTo": "<string>",
"issuer": "<string>",
"maxAuditWindowSeconds": 123,
"maxDatasets": 123,
"maxEndpoints": 123,
"maxFields": 123,
"maxMonitors": 123,
"maxQueryWindowSeconds": 123,
"maxUsers": 123,
"monthlyIngestGb": 123,
"monthlyQueryGbHours": 123,
"regions": [
"<string>"
],
"validFrom": "2023-11-07T05:31:56Z",
"withAuths": [
"<string>"
],
"expiresAt": "2023-11-07T05:31:56Z",
"storageAllowanceGB": 123
},
"name": "<string>",
"planCreated": "<string>",
"primaryEmail": "<string>",
"defaultRegion": "<string>",
"firstFailedPayment": "<string>",
"metaCreated": "<string>",
"metaModified": "<string>",
"metaVersion": "<string>",
"role": "<string>"
}
]List all orgs
GET
/
orgs
cURL
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
200 - application/json
Org
Show child attributes
Show child attributes
Available options:
na, failed, success, blocked Available options:
personal, basicDirect, teamMonthlyDirect, teamMonthlyAws, axiomCloud, teamPlus, enterprise, comped Was this page helpful?
⌘I